Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenSharedContributionItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenContributionItem, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenSharedContributionItemImpl

    public interface GenSharedContributionItem

extends GenContributionItem

A representation of the model object 'Gen Shared Contribution Item'. Reference to the shared contribution item

The following features are supported:

- `Actual Item`

See Also:
  `GMFGenPackage.getGenSharedContributionItem()`
** Generated **
Model:

Method Summary
`GenContributionItem` `getActualItem()` Returns the value of the 'Actual Item' reference
`void` `setActualItem(GenContributionItem value)` Sets the value of the '`Actual Item`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContributionItem
`getOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getActualItem

    GenContributionItem getActualItem()

  Returns the value of the 'Actual Item' reference.

  If the meaning of the 'Actual Item' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Actual Item' reference.
  See Also:
    `setActualItem(GenContributionItem)`, `GMFGenPackage.getGenSharedContributionItem_ActualItem()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not actualItem.oclIsKindOf(gmfgen::GenSharedContributionItem)' description='Actual contribution item can\'t be a reference'"

### setActualItem

    void setActualItem(GenContributionItem value)

  Sets the value of the '`Actual Item`' reference.

  Parameters:
    `value` - the new value of the 'Actual Item' reference.
  See Also:
    `getActualItem()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.